## aub 2.1.2-1

=== debian/changelog ===
aub (2.1.2-1) unstable; urgency=low

  * aub no longer truncates filenames at first space. Closes: #120052
  * New SKIP keyword makes aub skip unresolved articles. Closes: #78496
  * Applied several patches which improve aub's ability to recognize
    files from subject lines.
  * aub now generates a "unique" filename for temporary files so
    multiple users on the same machine can run aub simultaneously.
  * A number of other small bug fixes.

 -- Benjamin Hill (Mako) <mako@debian.org>  Mon,  8 Apr 2002 18:07:45 -0400

aub (2.1.1-1) unstable; urgency=low

  * I've taken over upstream development.
  * Reorganized documentation and layout within the package.
  * Fixed a number of bugs introduced by previous upstream maintainers
    in the last upload. Closes: #138605, #138606

 -- Benjamin Hill (Mako) <mako@debian.org>  Tue, 19 Mar 2002 19:56:16 -0500

aub (2.1-1) unstable; urgency=low

  * New upstream version (although defining or choosing a single
    upstream can be difficult).
  * Good deal of clean-up within the new upstream version.
  * New and more up-to-date documentation. Closes: #77460
  * Added Base64 support (Finally!).
  * Added NNTP authentication support (Finally!). Closes: #133009
  * Lots of minor bug fixes. Closes: #70167

 -- Benjamin Hill (Mako) <mako@debian.org>  Sat,  9 Mar 2002 02:19:13 -0500

aub (2.0.5-3.2) unstable; urgency=low

  * New Maintainer
  * Updated to Standards-Version 3.2.1

 -- Benjamin Hill (Mako) <mako@debian.org>  Sun, 12 Nov 2000 14:47:45 -0500

aub (2.0.5-3.1) unstable; urgency=low

  * NMU for the perl upgrade. Closes: #41462
  * Corrected the perl dependency.
  * Upgraded standards-version to 2.5.1

 -- Raphael Hertzog <rhertzog@hrnet.fr>  Thu, 22 Jul 1999 18:22:51 +0200

aub (2.0.5-3) unstable; urgency=low

  * New maintainer
  * Convert package to debhelper

 -- Bill Geddes <geddes@debian.org>  Tue,  1 Dec 1998 14:56:29 -0700

aub (2.0.5-2) unstable; urgency=low

  * Fixes /tmp related bug. (#21205)
  * Added an ONLYRECognize configuration command.

 -- Jay Kominek <jkominek@debian.org>  Mon, 20 Apr 1998 20:39:59 -0400

aub (2.0.5-1) unstable; urgency=low

  * Initial Release.

 -- Jay Kominek <jkominek@xtn.net>  Sun, 28 Sep 1997 10:54:55 -0400

=== debian/rules ===
#!/usr/bin/make -f

# comment this to turn off verbose mode.
export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	$(MAKE) clean
	rm -f build-stamp install-stamp
	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) install INSTALL_DIR=`pwd`/debian/tmp/usr/bin MAN_DIR=`pwd`/debian/tmp/usr/share/man
	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs README Introducing_AUB USAGE HISTORY
	dh_installexamples aubconf.example
#	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
	dh_installman aub.1 aubconf.1
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs ChangeLog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
	dh_perl
#	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb


# Build architecture-dependent files here.
binary-arch: build install
# This is architecture indepenent package.

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## aub 2.1.3-1

=== Makefile ===
# this simple Makefile is here just to build documentation and to
# install the manpages and the executable in the right place for
# people who are too lazy to do it themselves

DESTDIR=
INSTALL_DIR=$(DESTDIR)/usr/local/bin
MAN_DIR=/usr/local/man

all:
	# Build or output the documentation
	./aub -M > Introducing_AUB
	./aub -m > USAGE
	docbook-to-man ./aub.1.sgml > ./aub.1
	docbook-to-man ./aubconf.1.sgml > ./aubconf.1

install: all
	mkdir -p -m 755 ${INSTALL_DIR} 2> /dev/null
	install -m 755 aub ${INSTALL_DIR}
	mkdir -p -m 755 ${MAN_DIR}/man1 2> /dev/null
	install -m 644 aub.1 aubconf.1 ${MAN_DIR}/man1

clean:
	rm -rf Introducing_AUB USAGE aub.1 aubconf.1

=== debian/changelog ===
aub (2.1.3-1) unstable; urgency=low

  * Fixes a mispelled subroutine that broke the HOOK directive.
    Closes: #145733

 -- Benjamin Hill (Mako) <mako@debian.org>  Sun,  2 Jun 2002 13:20:42 -0700

=== debian/control ===
Source: aub
Section: news
Priority: optional
Maintainer: Benjamin Hill (Mako) <mako@debian.org>
Build-Depends-Indep: debhelper (>> 3.0.0), perl (>= 5.6.0), docbook-to-man
Standards-Version: 3.5.6.0

Package: aub
Architecture: all
Depends: ${perl:Depends}
Description: Assembles binary files from USENET
 AUB automatically assembles the pieces of multi-part Usenet postings
 and decodes them. A user-supplied configuration file tells which 
 newsgroups AUB should monitor. The user can also supply a "hook" program,
 which tests each subject header and determines whether that particular
 file should be downloaded or not.
 .
 Resumed development resuming after 10 years of inactivity has given
 AUB the better documentation and the new abilities to decode Base64
 files, perform NNTP authentication as well as a good deal of
 additional functionality.

## aub 2.2

=== debian/changelog ===
aub (2.2) unstable; urgency=low

  * New version with many new features and fixex.
  * Adds yEnc support.
  * Fixes bugs with authentication.
  * Further fixes oversights in regards to HOOK problems.
  * AUB now sets mode reader. Closes #201426

 -- Benjamin Hill (Mako) <mako@debian.org>  Sun, 11 Sep 2005 18:55:18 -0400

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: news
 Priority: optional
 Maintainer: Benjamin Hill (Mako) <mako@debian.org>
-Build-Depends-Indep: debhelper (>> 3.0.0), perl (>= 5.6.0), docbook-to-man
-Standards-Version: 3.5.6.0
+Build-Depends-Indep: debhelper (>= 4), perl (>= 5.6.0), docbook-to-man
+Standards-Version: 3.6.2.1
 
 Package: aub
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,7 @@
 	dh_testroot
 	dh_clean -k
 	dh_installdirs
-	$(MAKE) install INSTALL_DIR=`pwd`/debian/tmp/usr/bin MAN_DIR=`pwd`/debian/tmp/usr/share/man
+	$(MAKE) install INSTALL_DIR=`pwd`/debian/aub/usr/bin MAN_DIR=`pwd`/debian/aub/usr/share/man
 	touch install-stamp
 
 # Build architecture-independent files here.

## aub 2.2.1

=== debian/changelog ===
aub (2.2.1) unstable; urgency=high

  [ Daniel Kobras ]
  * Non-maintainer upload.
  * debian/control: Replace versions of webmagick that ship a rogue copy
    of our aub.1 man page. Closes: #403994
  * debian/control: Move debhelper from Build-Depends-Indep to Build-Depends
    to appease lintian.
  * debian/control: Complies with version 3.7.2 of Debian policy.
  * debian/rules: binary-arch target does not need to build and install
    anything.

 -- Andreas Barth <aba@not.so.argh.org>  Wed, 27 Dec 2006 17:25:44 +0000

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,14 @@
 Section: news
 Priority: optional
 Maintainer: Benjamin Hill (Mako) <mako@debian.org>
-Build-Depends-Indep: debhelper (>= 4), perl (>= 5.6.0), docbook-to-man
-Standards-Version: 3.6.2.1
+Build-Depends: debhelper (>= 4)
+Build-Depends-Indep: perl (>= 5.6.0), docbook-to-man
+Standards-Version: 3.7.2
 
 Package: aub
 Architecture: all
 Depends: ${perl:Depends}
+Replaces: webmagick (<< 2.02-8.3)
 Description: Assembles binary files from USENET
  AUB automatically assembles the pieces of multi-part Usenet postings
  and decodes them. A user-supplied configuration file tells which

=== debian/rules ===
--- 
+++ 
@@ -56,7 +56,7 @@
 
 
 # Build architecture-dependent files here.
-binary-arch: build install
+binary-arch: 
 # This is architecture indepenent package.
 
 binary: binary-indep binary-arch

## aub 2.2.2

=== debian/changelog ===
aub (2.2.2) unstable; urgency=low

  * QA upload.
    + Set maintainer to Debian QA Group <packages@qa.debian.org>.
  * Add ${misc:Depends}.
  * Fix mode reader for authenticated NNTP. (Closes: #381166).
    + Thanks to Stephen Peters for the patch.
  * Replace `pwd` with $(CURDIR) in rules.
  * Add Copyright holders to debian/copyright.
  * Bump debhelper build-dep and compat to 5.
  * Bump Standards Version to 3.8.0.

 -- Barry deFreese <bdefreese@debian.org>  Wed, 21 Jan 2009 22:13:30 -0500

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: aub
 Section: news
 Priority: optional
-Maintainer: Benjamin Hill (Mako) <mako@debian.org>
-Build-Depends: debhelper (>= 4)
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Build-Depends: debhelper (>= 5)
 Build-Depends-Indep: perl (>= 5.6.0), docbook-to-man
-Standards-Version: 3.7.2
+Standards-Version: 3.8.0
 
 Package: aub
 Architecture: all
-Depends: ${perl:Depends}
+Depends: ${perl:Depends}, ${misc:Depends}
 Replaces: webmagick (<< 2.02-8.3)
 Description: Assembles binary files from USENET
  AUB automatically assembles the pieces of multi-part Usenet postings

=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,7 @@
 	dh_testroot
 	dh_clean -k
 	dh_installdirs
-	$(MAKE) install INSTALL_DIR=`pwd`/debian/aub/usr/bin MAN_DIR=`pwd`/debian/aub/usr/share/man
+	$(MAKE) install INSTALL_DIR=$(CURDIR)/debian/aub/usr/bin MAN_DIR=$(CURDIR)/debian/aub/usr/share/man
 	touch install-stamp
 
 # Build architecture-independent files here.
